# Guide

GitHub: <https://github.com/6block/zkwork_moz_prover>

1. Get an evm address.&#x20;
2. Download zkwork Nvidia miner: `wget https://github.com/6block/zkwork_moz_prover/releases/download/v1.0.0/moz_prover_cuda.tar.gz`.
3. Download zkwork AMD miner: `wget https://github.com/6block/zkwork_moz_prover/releases/download/v1.0.0/moz_prover_ocl.tar.gz`.
4. On Nvidia: `tar -zvxf moz_prover_cuda.tar.gz && cd moz_prover`, on AMD: `tar -zvxf moz_prover_ocl.tar.gz && cd moz_prover`.
5. Update your Lumoz address in `inner_prover.sh` and set custom name for mining server.
6. Start mining with `sudo chmod +x run_prover.sh && ./run_prover.sh`.
7. Check mining log with `tail -f prover.log`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lumoz.org/compute-node/setup-compute-node/guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
